[fxruby-users] Newbie Question - Installing FXRuby from Gem Error

Joshua Lefkowitz joshualef at gmail.com
Tue Mar 18 17:06:34 EDT 2008


Nicholas Parsons wrote:
> Hi All!
> 
> I'm a fxruby newbie and was just trying to install it using ruby gems on 
> my i386 linux platform.
> 
> I received the following error message and was wondering if anyone else 
> had experienced such an ugly thing when they were installing this using 
> gems.  Seems to be something wrong the the FOX headers.
> 
> Your help is greatly appreciated in advance.
> 
> Thanks!
> --Nick
> 
> % sudo gem install fxruby --remote
> root's password:
> Bulk updating Gem source index for: http://gems.rubyforge.org
> ERROR:  While executing gem ... (Gem::GemNotFoundException)
>     Could not find fxruby (> 0) in any repository
> nparsons at bilbo:~/Downloads> sudo gem install fxruby --remote
> Bulk updating Gem source index for: http://gems.rubyforge.org
> Select which gem to install for your platform (i586-linux)
>  1. fxruby 1.6.13 (mswin32)
>  2. fxruby 1.6.13 (ruby)
>  3. fxruby 1.6.12 (mswin32)
>  4. fxruby 1.6.12 (ruby)
>  5. Skip this gem
>  6. Cancel installation
>  > 2
> Building native extensions.  This could take a while...
> ERROR:  While executing gem ... (Gem::Installer::ExtensionBuildError)
>     ERROR: Failed to build gem native extension.
> 
> ruby extconf.rb install fxruby --remote
> *** extconf.rb failed ***
> Could not create Makefile due to some reason, probably lack of
> necessary libraries and/or headers.  Check the mkmf.log file for more
> details.  You may need configuration options.
> 
> Provided configuration options:
>         --with-opt-dir
>         --without-opt-dir
>         --with-opt-include
>         --without-opt-include=${opt-dir}/include
>         --with-opt-lib
>         --without-opt-lib=${opt-dir}/lib
>         --with-make-prog
>         --without-make-prog
>         --srcdir=.
>         --curdir
>         --ruby=/usr/bin/ruby
>         --with-fox-dir
>         --without-fox-dir
>         --with-fox-include
>         --without-fox-include=${fox-dir}/include
>         --with-fox-lib
>         --without-fox-lib=${fox-dir}/lib
>         --with-fxscintilla-dir
>         --without-fxscintilla-dir
>         --with-fxscintilla-include
>         --without-fxscintilla-include=${fxscintilla-dir}/include
>         --with-fxscintilla-lib
>         --without-fxscintilla-lib=${fxscintilla-dir}/lib
> extconf.rb:31:in `find_installed_fox_version': couldn't find FOX header 
> files (RuntimeError)
>         from extconf.rb:157
> 
> 
> Gem files will remain installed in 
> /usr/lib/ruby/gems/1.8/gems/fxruby-1.6.13 for inspection.
> Results logged to 
> /usr/lib/ruby/gems/1.8/gems/fxruby-1.6.13/ext/fox16/gem_make.out
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> fxruby-users mailing list
> fxruby-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/fxruby-users
I installed fxrbuy on windows, and I don't recall having any difficulty. 
  Do you need to use one of the following instead of fxruby:

gem install fx
gem install fx16
gem install fxruby16


my apologies if this is not helpful.


More information about the fxruby-users mailing list